mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Reflection.TypeInfo System.Runtime.InteropServices.ComVisible(true)

Derive from this type and override only those members you have to provide customization in, plus any members that are required by your program and not already implemented by .

derives from and implements most of the properties and methods of . For each member it implements, automatically delegates to the corresponding member of an internal object, which is supplied as an argument to the constructor. This internal object is exposed to deriving classes by the protected field.

Some members of have implementations even though the members themselves are simply inherited from . In these cases, the implementation is provided by an overridden protected method that has a name that ends in "Impl". For example, the implementation for all overloads of the method is supplied by the overridden method. The implementation for inherited properties such as and is provided by the overridden method.

Deriving classes can provide a public constructor that takes a object as its parameter and simply passes that object to the constructor, or can set the internal object in some other way.

If a deriving class uses a member that is not implemented by , it must override that member and provide an implementation. The simplest implementation is to call the corresponding member on the internal object exposed by the field, but you can provide any implementation your application requires. It is not necessary to override these members if they are not used by your application or by library functions your application calls (for example, by the constructor).

The following virtual methods (Overridable methods in Visual Basic) of are not implemented by : , , , , , , , , , , , , .

The following virtual properties (Overridable properties in Visual Basic) of are not implemented by : , , , , , , , , , .

Wraps a object and delegates methods to that Type.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with default properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called from a class to generate a delegate based upon the Type object for the class defining the method.

  Initializes a new instance of the class specifying the encapsulating instance.

  The instance of the class that encapsulates the call to the method of an object.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly To be added.

  Assemblies are the deployment units in the common language runtime. Assemblies establish the namespace for resolving requests and determine which resources are exposed externally and which are accessible from within the assembly. The common language runtime can determine and locate the assembly for any running object.

  Gets the assembly of the implemented type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the assembly's fully qualified name.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  The base type is the type from which this type directly inherits. Since the class type is the ultimate base class of all the other types, it is the only type that does not have a base type. In this case, null is returned as the base type of the Object type.

  Gets the base type for the current type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  A string containing the fully qualified name of the current TypeDelegator.

  Gets the fully qualified name of the implemented type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes

  This method can be used to determine if the TypeDelegator is abstract, public, and so on.

  Gets the attributes assigned to the TypeDelegator.

  A TypeAttributes object representing the implementation attribute flags.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo `` `` `` `` ``

  The parameter indicates the calling convention for the entry point. If no calling convention is specified, a default value of Standard is used.

  Gets the constructor that implemented the TypeDelegator.

  A ConstructorInfo object for the method that matches the specified criteria, or null if a match cannot be found.

  A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from . An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects using reflection. If is null, the default binder is used. The calling conventions. An array of type Type containing a list of the parameter number, order, and types. Types cannot be null; use an appropriate GetMethod method or an empty array to search for a method without parameters. An array of type ParameterModifier having the same length as the array, whose elements represent the attributes associated with the parameters of the method to get.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.ConstructorInfo[] ``

  Class initializers are available only through GetMember, GetMembers, FindMembers, and GetConstructors.

  Returns an array of objects representing constructors defined for the type wrapped by the current .

  An array of type ConstructorInfo containing the specified constructors defined for this class. If no constructors are defined, an empty array is returned. Depending on the value of a specified parameter, only public constructors or both public and non-public constructors will be returned.

  A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` To be added.

  Returns all the custom attributes defined for this type, specifying whether to search the type's inheritance chain.

  An array of objects containing all the custom attributes defined for this type.

  Specifies whether to search this type's inheritance chain to find the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` `` To be added.

  Returns an array of custom attributes identified by type.

  An array of objects containing the custom attributes defined in this type that match the parameter, specifying whether to search the type's inheritance chain, or null if no custom attributes are defined on this type.

  An array of custom attributes identified by type. Specifies whether to search this type's inheritance chain to find the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  Returns the of the object encompassed or referred to by the current array, pointer or ByRef.

  The of the object encompassed or referred to by the current array, pointer or ByRef, or null if the current is not an array, a pointer or a ByRef.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo `` ``

  If is .IgnoreCase, the case of the parameter is ignored.

  Returns the specified event.

  An object representing the event declared or inherited by this type with the specified name. This method returns null if no such event is found.

  The name of the event to get. A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo[] To be added.

  Returns an array of objects representing all the public events declared or inherited by the current TypeDelegator.

  Returns an array of type EventInfo containing all the events declared or inherited by the current type. If there are no events, an empty array is returned.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo[] `` To be added.

  Returns the events specified in that are declared or inherited by the current TypeDelegator.

  An array of type EventInfo containing the events specified in . If there are no events, an empty array is returned.

  A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo `` ``

  Use a of .NonPublic to return all public and nonpublic fields. Use BindingFlags.IgnoreCase to ignore the case of the fields, as the search is case-sensitive by default.

  Returns a object representing the field with the specified name.

  A FieldInfo object representing the field declared or inherited by this TypeDelegator with the specified name. Returns null if no such field is found.

  The name of the field to find. A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo[] ``

  The method does not return fields in a particular order, such as alphabetical or declaration order. Your code must not depend on the order in which fields are returned, because that order can vary.

  Use a of .NonPublic to return all public and nonpublic fields.

  Returns an array of objects representing the data fields defined for the type wrapped by the current .

  An array of type FieldInfo containing the fields declared or inherited by the current TypeDelegator. An empty array is returned if there are no matched fields.

  A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` `` To be added.

  Returns the specified interface implemented by the type wrapped by the current .

  A Type object representing the interface implemented (directly or indirectly) by the current class with the fully qualified name matching the specified name. If no interface that matches name is found, null is returned.

  The fully qualified name of the interface implemented by the current class. true if the case is to be ignored; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.InterfaceMapping ``

  The interface map denotes how an interface is mapped into the actual methods on a class that implements that interface.

  Returns an interface mapping for the specified interface type.

  An object representing the interface mapping for .

  The of the interface to retrieve a mapping of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] To be added.

  Returns all the interfaces implemented on the current class and its base classes.

  An array of type Type containing all the interfaces implemented on the current class and its base classes. If none are defined, an empty array is returned.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] `` `` ``

  If is .NonPublic, all the members will be considered. If there are no matches, an empty array is returned.

  Returns members (properties, methods, constructors, fields, events, and nested types) specified by the given , , and .

  An array of type MemberInfo containing all the members of the current class and its base class meeting the specified criteria.

  The name of the member to get. A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from . The type of members to get.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] ``

  If is .NonPublic, all the members will be considered. If there are no matches, an empty array is returned.

  Returns members specified by .

  An array of type MemberInfo containing all the members of the current class and its base classes that meet the filter.

  A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` `` ``

  The parameter indicates the calling convention for the entry point. If no is specified, a default CallingConventions value of Standard is used.

  Searches for the specified method whose parameters match the specified argument types and modifiers, using the specified binding constraints and the specified calling convention.

  A MethodInfoInfo object for the implementation method that matches the specified criteria, or null if a match cannot be found.

  The method name. A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from . An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects using reflection. If is null, the default binder is used. The calling conventions. An array of type Type containing a list of the parameter number, order, and types. Types cannot be null; use an appropriate GetMethod method or an empty array to search for a method without parameters. An array of type ParameterModifier having the same length as the array, whose elements represent the attributes associated with the parameters of the method to get.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[] `` To be added.

  Returns an array of objects representing specified methods of the type wrapped by the current .

  An array of MethodInfo objects representing the methods defined on this TypeDelegator.

  A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` `` To be added.

  Returns a nested type specified by and in that are declared or inherited by the type represented by the current .

  A Type object representing the nested type.

  The nested type's name. A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] `` To be added.

  Returns the nested types specified in that are declared or inherited by the type wrapped by the current .

  An array of type Type containing the nested types.

  A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo[] `` To be added.

  Returns an array of objects representing properties of the type wrapped by the current .

  An array of PropertyInfo objects representing properties defined on this TypeDelegator.

  A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` `` `` `` `` `` To be added.

  When overridden in a derived class, searches for the specified property whose parameters match the specified argument types and modifiers, using the specified binding constraints.

  A object for the property that matches the specified criteria, or null if a match cannot be found.

  The property to get. A bitmask that affects the way in which the search is conducted. The value is a combination of zero or more bit flags from . An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects via reflection. If is null, the default binder is used. See . The return type of the property. A list of parameter types. The list represents the number, order, and types of the parameters. Types cannot be null; use an appropriate GetMethod method or an empty array to search for a method without parameters. An array of the same length as types with elements that represent the attributes associated with the parameters of the method to get.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid To be added.

  The GUID (globally unique identifier) is a 128-bit unique identification string used to identify a class or an interface. It is primarily useful for interoperability between the Microsoft .NET Framework and COM.

  Gets the GUID (globally unique identifier) of the implemented type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Gets a value indicating whether the current encompasses or refers to another type; that is, whether the current is an array, a pointer or a ByRef.

  true if the is an array, a pointer or a ByRef; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` `` `` `` ``

  A method will be invoked if both the following conditions are true:

  The number of parameters in the method declaration equals the number of arguments in the specified argument list (unless default arguments are defined on the member).

  The type of each arguments can be converted by the binder to the type of the parameter.

  The binder will find all the matching methods. These methods are found based upon the type of binding requested (BindingFlags.MethodInvoke, BindingFlags.GetProperties, and so on). The set of methods is filtered by the name, number of arguments, and a set of search modifiers defined in the binder.

  After the method is selected, it will be invoked. Accessibility is checked at that point. The search may control which set of methods are searched based upon the accessibility attribute associated with the method. The method is responsible for selecting the method to be invoked. The default binder selects the most specific match.

  Access restrictions are ignored for fully trusted code. That is, private constructors, methods, fields, and properties can be accessed and invoked using reflection whenever the code is fully trusted.

  Currently, InvokeMember performs the Microsoft .NET Framework reflection semantics for every type of object.

  If the member specified by name is an array and the BindingFlags.GetField flag is set on , the array specifies the elements whose values are to be returned. For example, the following call through Type object t returns the value of the first element of the string array MyArray, which is a member of the calling object:

  String ret = (String) t.InvokeMember ("MyArray", BindingFlags.GetField, null, this, new Variant[]{0});

  You can use InvokeMember to set one or more elements of a member array. All elements are set to the same value. The array must be formatted as follows:

  `{index1, index2,, value}`

  For example, to set the first member of MyArray from the previous example, the syntax is as follows:

  `t.InvokeMember ("MyArray", BindingFlags.SetField, null, this, new Variant[]{0,"Updated"});`

  Invokes the specified member. The method that is to be invoked must be accessible and provide the most specific match with the specified argument list, under the constraints of the specified binder and invocation attributes.

  An Object representing the return value of the invoked member.

  The name of the member to invoke. This may be a constructor, method, property, or field. If an empty string ("") is passed, the default member is invoked. The invocation attribute. This must be one of the following : InvokeMethod, CreateInstance, Static, GetField, SetField, GetProperty, or SetProperty. A suitable invocation attribute must be specified. If a static member is to be invoked, the Static flag must be set. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects via reflection. If is null, the default binder is used. See . The object on which to invoke the specified member. An array of type Object that contains the number, order, and type of the parameters of the member to be invoked. If contains an uninitialized Object, it is treated as empty, which, with the default binder, can be widened to 0, 0.0 or a string. An array of type ParameterModifer that is the same length as , with elements that represent the attributes associated with the arguments of the member to be invoked. A parameter has attributes associated with it in the member's signature. For ByRef, use ParameterModifer.ByRef, and for none, use ParameterModifer.None. The default binder does exact matching on these. Attributes such as In and InOut are not used in binding, and can be viewed using ParameterInfo. An instance of CultureInfo used to govern the coercion of types. This is necessary, for example, to convert a string that represents 1000 to a Double value, since 1000 is represented differently by different cultures. If is null, the CultureInfo for the current thread's CultureInfo is used. An array of type String containing parameter names that match up, starting at element zero, with the array. There must be no holes in the array. If . Length is greater than . Length, the remaining parameters are filled in order.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Returns a value that indicates whether the is an array.

  true if the is an array; otherwise, false.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether the specified type can be assigned to this type.

  true if the specified type can be assigned to this type; otherwise, false.

  The type to check.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Returns a value that indicates whether the is passed by reference.

  true if the is passed by reference; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Returns a value that indicates whether the is a COM object.

  true if the is a COM object; otherwise, false.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether this object represents a constructed generic type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether a custom attribute identified by is defined.

  true if a custom attribute identified by is defined; otherwise, false.

  Specifies whether to search this type's inheritance chain to find the attributes. An array of custom attributes identified by type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Returns a value that indicates whether the is a pointer.

  true if the is a pointer; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Returns a value that indicates whether the is one of the primitive types.

  true if the is one of the primitive types; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Returns a value that indicates whether the type is a value type; that is, not a class or an interface.

  true if the type is a value type; otherwise, false.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The tokens obtained using this property can be passed to the unmanaged reflection API. For more information, see The Unmanaged Reflection API.

  Gets a value that identifies this entity in metadata.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module To be added.

  A module is a loadable unit that can contain type declarations and implementations. Modules contain enough information to enable the common language runtime to locate all implementation bits when the module is loaded.

  Gets the module that contains the implemented type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  A string containing the name of the current TypeDelegator. Only the simple name, not the fully qualified name, is returned. To get the name and the path, use .

  Gets the name of the implemented type, with the path removed.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property gets a string containing the namespace of the current TypeDelegator. For example, if the TypeDelegator is , the returned namespace is .

  Gets the namespace of the implemented type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.RuntimeTypeHandle To be added.

  A type handle is a unique integer value associated with each type. The handle is unique during the runtime.

  Gets a handle to the internal metadata representation of an implemented type.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added

  A value indicating type information.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets the underlying that represents the implemented type.